using JewelryStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JewelryStoreContracts.ViewModels
{
	public class MessageInfoViewModel : IMessageInfoModel
	{
		public string MessageId { get; set; } = string.Empty;

		public int? ClientId { get; set; }

		[DisplayName("Имя отправителя")]
		public string SenderName { get; set; } = string.Empty;

		[DisplayName("Дата отправления")]
		public DateTime DateDelivery { get; set; }

		[DisplayName("Тема")]
		public string Subject { get; set; } = string.Empty;

		[DisplayName("Содержание")]
		public string Body { get; set; } = string.Empty;
	}
}
